#pragma once


class AFX_EXT_CLASS FFT
{
public:
	FFT(int length);
	~FFT(void);
	void Run(short* BufferIn, int* BufferOut);
	int GetMax();
	int GetAverage();
private:
	int bins;
	bool inputClipped;
	short * reversed;
	int average;
	int max;
	short* window;
	short* sins;
	short* coss;
private:
	bool InitializeReverse();
	bool InitializeTrig();
	bool InitializeWindow();
};
