
// CommandTestDlg.h : header file
//

#pragma once
#include "afxwin.h"
#include "..\CommandParser\CommandReader.h"
#include "..\CommandParser\Definitions.h"
#include "..\CommandParser\AudioMonitor.h"
#include "..\CommandParser\Wave.h"

// CCommandTestDlg dialog
class CCommandTestDlg : public CDialog
{
// Construction
public:
	CCommandTestDlg(CWnd* pParent = NULL);	// standard constructor
    ~CCommandTestDlg();
// Dialog Data
	enum { IDD = IDD_COMMANDTEST_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
private:
	CEdit CommandBox;
	CommandReader* myReader;
	AudioMonitor* myParser;
	CWave myWave;
public:
	afx_msg void OnBnClickedButton1();
	LRESULT OnNewCommand( WPARAM wParam, LPARAM lParam );
	LRESULT OnCharMsg( WPARAM wParam, LPARAM lParam );
	afx_msg void OnCbnSelchangeCombo1();
	afx_msg void OnCbnSelchangeCombo2();
	afx_msg void OnBnClickedButton2();
	afx_msg void OnBnClickedOk();
};
