#pragma once


#include "Windows.h"
#include "Mmsystem.h"
#include "Definitions.h"

struct WAVESTRUCT{
	WAVEHDR header;
	DWORD tickCount;
	bool bufferReady;
	bool prepared;
};


class AudioQueue
{
public:
	AudioQueue(HWAVEIN in);
	~AudioQueue(void);
	bool Put( LPWAVEHDR inHeader );
	bool Get( PWORD data, PDWORD tickCount );
	int GetCount();
private:
	CRITICAL_SECTION lock;
	HWAVEIN myWav;
	WAVESTRUCT queue[ NUMBUFFERS ];
	int index[ NUMBUFFERS ];
	int head;
	int tail;
	int count;
};
